//STCAMSJ1 JOB SIMOTIME,ACCOUNT,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*        This program is provided by SimoTime Technologies          *
//*           (C) Copyright 1987-2019 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* TEXT   - Use IDCAMS & IEBGENER to create a KSDS of status codes
//* AUTHOR - SIMOTIME TECHNOLOGIES
//* DATE   - JANUARY 01, 1989
//*
//* *******************************************************************
//* Step 1 of 4, Delete any previously created sequential file...
//*
//STEP10   EXEC PGM=IEFBR14
//MSGXFILE DD  DSN=SIMOTIME.UTIL.MSGXFILE,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//*
//* *******************************************************************
//* Step 2 of 4, Create and populate a new Sequential file...
//*
//STEP20   EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DUMMY
//* :....1....:....2....:....3....:....4....:....5....:....6....:....7....:....8
//SYSUT1   DD  DSN=SIMOTIME.PDS.PARMLIB(TABLEFSC),DISP=SHR
//SYSUT2   DD  DSN=SIMOTIME.UTIL.MSGXFILE,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//*
//* *******************************************************************
//* Step 3 of 4, Delete existing and Define a new VSAM, KSDS...
//*
//STEP30   EXEC PGM=IDCAMS
//SYSPRINT DD   SYSOUT=*
//SYSIN DD DSN=SIMOTIME.PDS.PARMLIB(STCAMSDD),DISP=SHR
//*
//* *******************************************************************
//* Step 4 of 4, Populate the VSAM, KSDS using IDCAMS REPRO...
//*
//STEP40   EXEC PGM=IDCAMS
//SYSPRINT DD  SYSOUT=A
//MSGXFILE DD  DSN=SIMOTIME.UTIL.MSGXFILE,DISP=(SHR)
//MSGXKSDS DD  DSN=SIMOTIME.UTIL.MSGXKSDS,
//             DISP=OLD
//SYSIN    DD   *
 REPRO -
  INFILE(MSGXFILE) -
  OUTFILE(MSGXKSDS)
/*
